Package org.apache.tools.ant.attribute

## Class IfTrueAttribute.Unless

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.attribute.BaseIfAttribute
    - - org.apache.tools.ant.attribute.IfTrueAttribute
      - - org.apache.tools.ant.attribute.IfTrueAttribute.Unless

All Implemented Interfaces:
  `java.lang.Cloneable`, `EnableAttribute`

Enclosing class:
  IfTrueAttribute

    public static class IfTrueAttribute.Unless
    extends IfTrueAttribute

The unless version

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.tools.ant.attribute.IfTrueAttribute

`IfTrueAttribute.Unless`

### Field Summary

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`Unless()`

### Method Summary

### Methods inherited from class org.apache.tools.ant.attribute.IfTrueAttribute

`isEnabled`

### Methods inherited from class org.apache.tools.ant.attribute.BaseIfAttribute

`convertResult, getParams, isPositive, setPositive`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Unless

    public Unless()